Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.1

Description

Hi everybody,

I'm trying to upgrade from Redmine 2.2.2 to 2.3.1 and when I try to generate the secret token I get the following error message:

Bundler could not find compatible versions for gem "mocha":

  In Gemfile:

    shoulda (~> 3.3.2) ruby depends on

      mocha (= 0.10.5) ruby

    mocha (0.13.3)

 I have already read the following topics, but without succes:

somebody help me?

Problem while trying to upgrade from 1.3 to 2.3

I'm running with:

Ruby version              1.9.3 (i686-linux)

RubyGems version          1.8.23

Rails                     3.2.13

Database adapter          Mysql2

No Redmine plugin installed.

 Does somebody have any clue about what went wrong?

History

#1 - 2013-05-22 09:54 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

You forgot to add --without test development arguments when running bundle install.

#2 - 2013-05-22 10:16 - Yannick Recht

Thank you very much, I got further with that clue.

I've just forgotten to tell that problem happens while running:

rake generate_secret_token

 At the present time I "removed" the test and development section from the Gemfile. It seems to work.

So I have one last question, do I have to modify application.rb to run bundle install with "--without test development" ?

#3 - 2013-05-22 10:57 - Etienne Massip

Yannick Recht wrote:

So I have one last question, do I have to modify application.rb to run bundle install with "--without test development" ?

2025-07-01 1/2

http://www.redmine.org/boards/2/topics/37443
http://www.redmine.org/boards/2/topics/37676


 Absolutely not and you should never have to modify this file, it's part of the application code.

If you already installed your bundle without specifying the "--without" argument, you can edit your <redmine_installation_directory>/.bundle/config file

and add the following line:

BUNDLE_WITHOUT: test:development

 Then run bundle install again.

#4 - 2013-05-22 11:24 - Yannick Recht

Thank you for your help.
